Subject: (ngtrans) Re: Testing SMTP over IPv6

From: Bob Fink <[email-masked]>
Date: Wed, 01 Dec 1999 08:28:06 -0800

Steve/Peter,

I would think that this is quite reasonable to do under ngtrans. Maybe it 
would be the start of an informatioanl "how-to" series.

Bob

At 07:42 AM 12/1/99 -0800, Steve Deering wrote:
>Peter,
>
>It would be good to document this advice in an Informational RFC,
>either as an individual contribution or as an ngtrans submission
>(assuming it's correct, of course :-).
>
>Steve
>
>---------
>At 7:55 PM +1100 12/1/99, Peter Tattam wrote:
> >As I set it up, I came to the realization that MX will need to be set up
> >correctly for mail to be reliable to IPv6 machines.
> >
> >Here is the MX list for ip6.trumpet.net
> >
> >ip6.trumpet.net.        43200   MX      10 louie.ip6.trumpet.net.
> >ip6.trumpet.net.        43200   MX      15 louie.trumpet.com.au.
> >ip6.trumpet.net.        43200   MX      20 jazz-1.trumpet.com.au.
> >ip6.trumpet.net.        43200   MX      30 yarrina.connect.com.au.
> >ip6.trumpet.net.        43200   MX      40 warrane.connect.com.au.
> >
> >
> >If you are mixing IPv4 & IPv6 servers in the MX list,  it is important that
> >the MX list be set in the following manner...
> >
> >IPv6 only servers              MX    a
> >....
> >IPv6 + IPv4 servers            MX    b
> >....
> >IPv4 only servers              MX    c
> >
> >
> >Where a < b < c
> >
> >If there is a mix of IPv4 & IPv4 MX's, there must be a dual IPv6 + IPv4 
> server
> >either at the start of the list or before all the IPv4 only servers.
> >Otherwise mail will queue indefinitely at the IPv4 servers if the IPv6 only
> >server is down.
> >
> >In my example, louie.ip6.trumpet.net and louie.trumpet.com.au are the same
> >machine.  The rest are IPv4 only servers.